2019-12-10 03:12 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000962FSSCPgraphicspublic2007-01-02 11:55
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000962: Textures blink in white
DescriptionWhile playing Derelict "The Stars are Right" I've noticed that sometimes textures blink to white. I attach two consecutive screenshots. Look at the Lucy or the further terran miner ship.
Additional InformationI wasn't able to find any trigger to this blinking. If I find it I will update this post.

My command line C:\FreeSpace2\fs2_open_r.exe -mod MOD_Derelict,MOD_LightSpeed,mediavps -spec -glow -jpgtga -mipmap -nomotiondebris -2d_poof -noscalevid -cache_bitmaps -dualscanlines -targetinfo -rearm_timer -ballistic_gauge -ship_choice_3d -3dwarp -warp_flash -alpha_env -fps -ambient_factor 60

I'm using media 3.6.8. zeta plus Taylor's alpha patches. I use all adveffects but animated glowmaps and high quality beams.

I use OGL in 1024 x 768 x 32 with Trilinear and 8x AF.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005976

ARSPR (reporter)

Last edited: 2006-06-27 13:21

Sorry, I use all adv_effects but animated glowmaps and high quality SHOCKWAVES. I do use beams, HQ backgrounds and effects.

edited on: 06-27-06 13:21

~0005977

taylor (administrator)

Why are you using -alpha_env but not -env? Does it make a difference if you don't use -spec?

~0005978

ARSPR (reporter)

Last edited: 2006-06-29 13:46

I'm not using -env because I forgot it. I disabled -env because of 961 (the performance drop) to see if I could get more fps (I did that before I realized RC2 ran smoother than RC3).

I'm going to enable it and check if the blink stays.

EDITED:

Using -env is the same, sometimes a lot of ships blink in white.

I have also disabled -mipmap (I don't know why it was selected ...)


EDITED (and two):

I've played just once without -spec and the white blinking hasn't shown up. I'm leaving now but I'll do more test without this flag.


EDITED (and three):

Well, I've played 4 times in a row WITH -spec and I haven't got the error. (I'm getting mad)
????


EDITED (and four):

I've played another 3 times in a row WITH -spec and I'VE GOT the blinking in all of them. It seems it happens when there are a lot of light sources (but I'm just guessing).


From now on I will test without -spec

edited on: 06-29-06 13:46

~0006000

ARSPR (reporter)

Last edited: 2006-06-30 14:27

Well a double post but there were too many edits.

I've played that mission for about 3 million times and:

+ I think blinking tends to happen when there are a lot of light sources (beams, explosions, and so on) BUT I'm not sure.

+ Without spec you get a greyish effect rather than a white one. (I upload two more screenshots).

+ (Edited). I nearly forgot. I've noticed that somtimes there are extremely increased brights within the SD Nyar... (I upload another two files). These lights are caused by damage electric discharges in the rear Ganimede Ring. But the effect is too intense. (I don't know if it can have some kind of link with the main bug, if it is just another bug, or if it is done in that way by design).

edited on: 06-30-06 14:27

~0006307

taylor (administrator)

See how it is with this build (note: 3.6MB)...
http://icculus.org/~taylor/fso/testing/light_test.rar

~0006308

ARSPR (reporter)

Tomorrow I will try downloading from work. I hope icculus.org is not forbiden (Mantis or HLP are ...)

~0006321

ARSPR (reporter)

Sorry, icculus.org is also filtered out in my job internet access.

Please copy the exe inside somewhere http://fs2source.warpcore.org/exes/. This place still works from there.

~0006323

taylor (administrator)

http://fs2source.warpcore.org/exes/light_test.rar

~0006337

ARSPR (reporter)

No luck, the blinking is still there.

OTOH, now I sometimes get the white texturing just over a few ships. (I think I never got that with previous versions). I attach two screenshots.

~0006550

ARSPR (reporter)

As expected, RC7 does suffer this bug.

(Just posting this to make me sure I remember the last RC I've actually tested with it. Don't worry too much about this bug, I haven't seen it in any other mission).

~0006966

taylor (administrator)

No one else has reported similar issues, and I can neither replicate this or find any code bugs related to it. I'm starting to wonder if it's not system specific.

If there is a video driver upgrade available then try that and see if it makes a difference. If that doesn't help any then we just have to close this since I doubt we are going to be able to do anything about this unless someone else can reproduce it.

~0006970

thesource2 (reporter)

OpenGL lighting problems are known for NVIDIA old or PCI card drivers

~0006971

taylor (administrator)

He's using a very new card though (7800GS). There have been numerous strange driver issues with the 7800 series though, so I'm hoping this is just one of those.

~0006974

ARSPR (reporter)

I haven't tested that mission for a time, but close the bug if you prefer as it isn't serious at all.

While testing it I've used several versions of forceware so I think it's something within the game.

Nevertheless, even if closed, I will continue updating the bug info if I find more facts (or if I get it in another mission ...). But unless you get a clear hint of what's happening don't waste your time in it.

~0007116

ARSPR (reporter)

I've played once with RC7.8: The bug is present.

I've played four times with VidTest: The bug hasn't appeared.

Secondary issues about VidTest that I suppose you know/expect:
+ FPS are really low.
+ As it is a debug build it shows "Warning: Couldn't fix up turret indices in spline path" in Capital02.pof (The Lucy), Cruiser01x (A Levy), Science01 (A GTSC Faustus) and Corvette2s-01 (A SCv Moloch)

~0007136

ARSPR (reporter)

Last edited: 2006-11-15 14:33

I'm sad to say RC7.9u suffers the bug. And this build seems to be about 5 FPS slower than RC7.8 when I'm facing all the action arround the Lucifer SD (from 45-50 to 40-45)

(I didn't see the white brights with your vidtest build so I just can think about three options:
+ It was just luck.
+ If vidtest has some more changes than RC7.9u, they could fix it.
+ Release optimizations cause the bug. I'm going to test with debug RC7.9u.
  EDITED: Discard the last one I've seen it with the debug RC7.9u)

~0007137

taylor (administrator)

Strange. The vidtest build had some extra features, but only one bug fix that isn't in 7dot9u, and that had nothing to do with textures or graphics stuff. The extra features were some minor 3D sound code work (not going into 3.6.9), better particle handling (for 3.7), and the Theora movie player.

The vidtest and 7dot9u-debug builds did have slightly different optimization settings though. The vidtest build was set for Pentium/blend optimization, the 7dot9u builds (both release and debug) were set for only Pentium Pro optimization. I find it strange that it could have caused a problem though. I'll PM you later today with a rebuild of 7dot9u with the exact optimizations as the vidtest build, just in case. If it works fine then we'll know for sure that it's the optimizations causing this particular problem.

~0007146

ARSPR (reporter)

Taylor, I haven't recieved anything. Feel free to PM/email/add to icculus/or whatever when you get it.

~0007147

taylor (administrator)

Haha, I totally forgot! ;)

I'm working on several things at the moment (mainly for finally testing the new FS2NetD code) so I'll have builds going all night. I'll add your build to the queue and PM you that when it's available at some point late tonight.

~0007167

taylor (administrator)

Try: http://icculus.org/~taylor/fso/testing/rc7dot9x.rar

~0007187

ARSPR (reporter)

Last edited: 2006-11-26 15:14

I've got problems...

RC7.9x release doesn't work. When you start the mission you go to Pause and you cannot leave it (Tolwyn has the same problem in 0001151).

Debug builds are pretty unstable because of ingame "Warning: Couldn't fix up turret indices in spline path". When the Moloch arrives, (its pof has one of these warnings), you get the warning while switching to Windows desktop. Then, most of the times, the game crashes with the typical "The program has performed an illegal action and will be closed" Windows error.

I suffered it with the VidTest build (I don't know how I was able to run the mission four times in a row).

I've been able to fully run the debug build only once and the issue hasn't appeared. (But it isn't enough testing).



@Offtopic: One suggestion about the turret warning. Would it be possible to show it at mission loading for ALL the ships despite if they are present or not at mission begining?

~0007188

taylor (administrator)

I can't replicate the Pause problem, works fine for me, both debug and release builds. The only thing that I can think of is that a window is popping up (either a warning or something), the game goes into pause mode (it's suppose to), but you can't switch out of the game since it lost focus and has trouble getting it back. That's just a wild theory though, and something that you should be able to figure out relatively easily, if a warning popup is on the screen when you switch back to Windows to kill the process.


As far as the warnings go, there should be a fixed model pack which fixes most of the problem models. I use it (as part of my own VP set) and haven't had those warnings since. But, if that doesn't help you any then you should just be able to use the -no_warn cmdline option. Technically it's "For FRED", but it works just the same whether you are using FRED or the normal game. It should prevent both warnings and Assert()'s, but it will still hit on otherwise fatal errors.

The crash when it switches to Windows and then back, is largely a driver bug, and there is already a Mantus bug (closed as "not fixable") about that. The only real choice is to be sure and not get those warnings (ie, with -no_warn) or to always run debug builds in a window (the preferred "fix").

~0007192

ARSPR (reporter)

I will test with -no_warn ASAP, (very handy flag against this known pof issue).

OTOH I have never tested in window mode (neither release nor debug). I suppose the issue also happens but I will also test it, just in case.

About the pause issue: I will test with other missions/MODs, but it really seems other new bug (although I don't know why you cannot replicate it).

~0007193

Tolwyn (reporter)

it does not matter what kind of build you are using. It does not matter whenever you start the game in window or full screen mode. And no warnings pop up (I tested the game with 3.6.9 RCdot9debug). Then again, the new EXE works fine on a Geforce 6800. So it might be as difficult to reproduce as bug 1115

~0007195

ARSPR (reporter)

I have opened a new bug report (0001159) for the Pause issue.

~0007199

ARSPR (reporter)

Last edited: 2006-11-27 13:40

RC7.9u release build suffers the bug.

I have also tested Windowed/Full Screen and it doesn't matter. The bug appears in both.

Now I'm going to do more tests with Debug builds using -no_warn flag.

EDITED:
-no_warn flag isn't usefull because even with it the game swaps to desktop when the Moloch arrives (althogh I suppose no message window is displayed).

As the bug also happens in Windowed mode, now I'm going to test it with -no_warn and windowed.

REEDITED:
Forget about VidTest not suffering the bug. It does suffer it so my previous tests were just luck. Sorry.

~0007249

taylor (administrator)

As posted in the other bug...

Give http://icculus.org/~taylor/fso/willrobinson/hoopla.rar a try. I found and fixed a couple of OpenGL texture/lighting bugs.

~0007256

ARSPR (reporter)

Last edited: 2006-12-06 07:28

I'll try to test it ASAP. But I'm going on travel outside town, so maybe it won't be possible till next week.

EDITED.

No fix. The second time I played the mission the bug appeared.

~0007325

taylor (administrator)

Try with http://icculus.org/~taylor/fso/willrobinson/cousinarnold.rar

~0007328

ARSPR (reporter)

Last edited: 2006-12-26 09:23

I've played the mission 4 times and it hasn't appeared ...

EDITED

I've played another 3 more times and it still hasn't shown up. I don't know what you have tweaked from hoppla, but it REALLY seems fixed.

~0007365

ARSPR (reporter)

I've played the mission 3 times with official 3.6.9. and the bug hasn't appeared. It seems really fixed now.

~0007368

taylor (administrator)

Ok, I'll mark it as fixed then. It must have been that freaky secondary color stuff that I removed. That had been causing problems since it was originally added anyway, so not loss there. :)

~0007369

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-06-27 13:10 ARSPR New Issue
2006-06-27 13:10 ARSPR File Added: White blinking 1.jpg
2006-06-27 13:10 ARSPR File Added: White blinking 2.jpg
2006-06-27 13:20 ARSPR Note Added: 0005976
2006-06-27 13:21 ARSPR Note Edited: 0005976
2006-06-27 13:31 taylor Note Added: 0005977
2006-06-27 13:51 ARSPR Note Added: 0005978
2006-06-27 14:02 ARSPR Note Edited: 0005978
2006-06-27 14:05 ARSPR Note Edited: 0005978
2006-06-27 14:27 ARSPR Note Edited: 0005978
2006-06-29 11:38 ARSPR Note Edited: 0005978
2006-06-29 13:46 ARSPR Note Edited: 0005978
2006-06-30 14:02 ARSPR Note Added: 0006000
2006-06-30 14:03 ARSPR File Added: Blink without spec 1.jpg
2006-06-30 14:03 ARSPR File Added: Blink without spec 2.jpg
2006-06-30 14:27 ARSPR Note Edited: 0006000
2006-06-30 14:27 ARSPR File Added: Possible strange lighting 1.jpg
2006-06-30 14:28 ARSPR File Added: Possible strange lighting 2.jpg
2006-07-23 13:27 taylor Note Added: 0006307
2006-07-23 13:50 ARSPR Note Added: 0006308
2006-07-24 10:59 ARSPR Note Added: 0006321
2006-07-24 11:39 taylor Note Added: 0006323
2006-07-25 14:16 ARSPR Note Added: 0006337
2006-07-25 14:17 ARSPR File Added: Partial Blink 1.jpg
2006-07-25 14:18 ARSPR File Added: Partial Blink 2.jpg
2006-09-05 10:26 ARSPR Note Added: 0006550
2006-10-21 07:49 taylor Note Added: 0006966
2006-10-21 08:00 thesource2 Note Added: 0006970
2006-10-21 08:03 taylor Note Added: 0006971
2006-10-21 11:26 ARSPR Note Added: 0006974
2006-11-14 12:29 ARSPR Note Added: 0007116
2006-11-15 14:16 ARSPR Note Added: 0007136
2006-11-15 14:20 ARSPR Note Edited: 0007136
2006-11-15 14:22 ARSPR Note Edited: 0007136
2006-11-15 14:33 ARSPR Note Edited: 0007136
2006-11-15 15:21 taylor Note Added: 0007137
2006-11-15 15:24 taylor Status new => assigned
2006-11-15 15:24 taylor Assigned To => taylor
2006-11-19 15:24 ARSPR Note Added: 0007146
2006-11-19 16:19 taylor Note Added: 0007147
2006-11-25 16:27 taylor Note Added: 0007167
2006-11-26 15:13 ARSPR Note Added: 0007187
2006-11-26 15:14 ARSPR Note Edited: 0007187
2006-11-26 15:39 taylor Note Added: 0007188
2006-11-27 02:58 ARSPR Note Added: 0007192
2006-11-27 07:37 Tolwyn Note Added: 0007193
2006-11-27 12:47 ARSPR Note Added: 0007195
2006-11-27 13:23 ARSPR Note Added: 0007199
2006-11-27 13:31 ARSPR Note Edited: 0007199
2006-11-27 13:40 ARSPR Note Edited: 0007199
2006-12-06 03:40 taylor Note Added: 0007249
2006-12-06 04:46 ARSPR Note Added: 0007256
2006-12-06 07:28 ARSPR Note Edited: 0007256
2006-12-26 00:32 taylor Note Added: 0007325
2006-12-26 04:13 ARSPR Note Added: 0007328
2006-12-26 09:23 ARSPR Note Edited: 0007328
2007-01-02 06:02 ARSPR Note Added: 0007365
2007-01-02 11:55 taylor Note Added: 0007368
2007-01-02 11:55 taylor Status assigned => resolved
2007-01-02 11:55 taylor Fixed in Version => 3.6.9
2007-01-02 11:55 taylor Resolution open => fixed
2007-01-02 11:55 taylor Note Added: 0007369
+Issue History